#version 430

in vec2 TexCoords;

out vec4 FragColor;

uniform sampler2D text;
uniform vec3 fragColor;

void main() {
	vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
    FragColor = vec4(fragColor, 1.0f) * sampled;
}